# Class MeasueMobileBaseController

- Defined in src/mobile/measure/baseComponent.js:46

#####
Index

### Properties

active
dirty
drawInteraction
drawing
filter
gettextCatalog
map
measure
scope
valid

### Methods

init

## Properties

### active

active: boolean

- Defined in src/mobile/measure/baseComponent.js:70

### dirty

dirty: boolean

- Defined in src/mobile/measure/baseComponent.js:95
- Defined in src/mobile/measure/baseComponent.js:140

### drawInteraction

drawInteraction: default

- Defined in src/mobile/measure/baseComponent.js:90
- Defined in src/mobile/measure/baseComponent.js:126

### drawing

drawing: boolean

- Defined in src/mobile/measure/baseComponent.js:100
- Defined in src/mobile/measure/baseComponent.js:157

### filter

filter: IFilterService

- Defined in src/mobile/measure/baseComponent.js:55

### gettextCatalog

gettextCatalog: gettextCatalog

- Defined in src/mobile/measure/baseComponent.js:60

### map

map: Map

- Defined in src/mobile/measure/baseComponent.js:65

### measure

measure: Measure

- Defined in src/mobile/measure/baseComponent.js:85

### scope

scope: IScope

- Defined in src/mobile/measure/baseComponent.js:50

### valid

valid: boolean

- Defined in src/mobile/measure/baseComponent.js:105
- Defined in src/mobile/measure/baseComponent.js:167

## Methods

### init

- init(): void

- Initialize the controller.

  #### Returns void

  - Defined in src/mobile/measure/baseComponent.js:111

Generated using TypeDoc